"use strict";
/**
 * mplus_modal_examrsltty2
 */
var mplus_modal_examrsltty2 = function(){
	// 상속
	mplus_common.call(this);
	
	// 상위 객체 생성
	//var mplusPatient = new mplus_mobile_patient();
	//var mplusNursing = new mplus_nursing();
	
	//super
	var self = this;
	var varExamrsltty2 = [];
	//==== 변수 { ====
	//==== 변수 } ====
		
	/**
	 * 초기화
	 */
	this.init = function(param){ //여기서 모든화면 콤보박스데이터를 집어넣자!!! 그래야지 화면이동할때 속도가 오래걸리지않음!!!
		//DATA 초기화
		initEmptyData();
		
		// 초기 화면 조건 구성
		initCondition(param);
		
		// 이벤트 초기화
		addEvent();		
	};
	
	var initEmptyData = function(){
		$("#divExamRsltTy2Result").empty();
		varExamrsltty2=[];
	}
	
	//==== 초기화 설정 { ====
	var initCondition = function(param){
		// 초기 화면 조건 구성
		if(param != null){
			// 20190607 dkchoi75 검사결과>검사결과 조회 value vaildation Check
			var varExamDt = "";
			if(param.examDt != undefined && param.examDt != "" && param.examDt != null) {
				varExamDt = moment(param.examDt , "YYYYMMDDHHmmss").format("YYYY-MM-DD HH:mm");
			} else {
				varExamDt = param.examDt;
			}

			//상단정보
			if(param.examDt != undefined || param.examNm != undefined ){
			//	$("#spanExamRsltTy2ExamDtExamNm").text(moment(param.examDt , "YYYYMMDDHHmmss").format("YYYY-MM-DD HH:mm") + " / " + param.examNm);
				$("#spanExamRsltTy2ExamDtExamNm").text(varExamDt + " / " + param.examNm);
			}else{
				$("#spanExamRsltTy2ExamDtExamNm").text("처방번호 : " + param.prescriptionNo);
			}
			
			//PACS 버튼 처리
			if(param.isPacs == "1"){//PACS 여부(1:true, 0:false)
				$("#btnExamPACS").removeClass("hidden");
			}else{
				$("#btnExamPACS").addClass("hidden");
			}
			
			var varExamRsltKey3 = "";
			if(param.examResultKey != undefined && param.examResultKey != null){
				varExamRsltKey3 = param.examResultKey;
			}else if(param.examRsltKey3 != undefined && param.examRsltKey3 != null){
				varExamRsltKey3 = param.examRsltKey3;
			}
			
			//검사정보
			var sendParam = {
					userId:gLoginUserId,
					patientId:gPatientId,
				/*
					examCd:"-",
					examRsltKey:"-",
					examRsltKey2:"-",
					examRsltKey3:varExamRsltKey3
				*/
				/*
				examCd: (param.examCd != undefined || param.examCd != null || param.examCd !== "-") ? param.examCd : "-",
				examRsltKey:(param.examRsltKey != undefined || param.examRsltKey != null || param.examRsltKey !== "-") ? param.examRsltKey : "-",
				examRsltKey2:(param.examRsltKey2 != undefined || param.examRsltKey2 != null || param.examRsltKey2 !== "-") ? param.examRsltKey2 : "-",
				examRsltKey3:(param.examRsltKey3 != undefined || param.examRsltKey3 != null || param.examRsltKey3 !== "-") ? param.examRsltKey3 : param.examResultKey
				*/
				examCd: (param.examCd != undefined || param.examCd != null) ? param.examCd : "---",
				examRsltKey:(param.examRsltKey != undefined || param.examRsltKey != null) ? param.examRsltKey : "---",
				examRsltKey2:(param.examRsltKey2 != undefined || param.examRsltKey2 != null) ? param.examRsltKey2 : "---",
				examRsltKey3:(param.examRsltKey3 != undefined || param.examRsltKey3 != null) ? param.examRsltKey3 : "---"

			};
			
			self.medical.getExamRsltTy2(sendParam, processSearchExamrsltty2);
		}
	};
	
	var processSearchExamrsltty2 = function(lists){		
		varExamrsltty2 = lists;
		$("#divExamRsltTy2Result").append(
											"<div style=\"font-family:굴림체\">" + lists[0].examRsltTxt + "</div>"
										  );	// element 추가
	};
	//==== 초기화 설정 } ====
	
	//==== 이벤트 설정 { ====
	var addEvent = function(){
		//$("#btnLogout").on("click", function(){
		//	logout();
		//});
		
		eventColumnClick();
		
		eventRowClick();
		
		eventConditionClick();
	};
	
	var eventConditionClick = function(){
		// PACS버튼
		$("#btnExamPACS").off("click"); // 기존 이벤트 해제
		$("#btnExamPACS").on("click", function(e){
			console.log(JSON.stringify(varExamrsltty2));
		});
	};
	
	var eventColumnClick = function(){

	};
	
	var eventRowClick = function(){
		
	};
	//==== 이벤트 설정 } ====
	
	
	//==== 서비스 실행 { ====
	//==== 서비스 실행 { ====
	
};